﻿using UnityEngine;
using System.Collections;

public class PlayerEffects : MonoBehaviour {
	public bool inWater;
	public bool boost;
	public bool doubleJump;
	public GUIStyle style;

	void OnEnable(){
		boost = PlayerPrefs.GetInt("boost", -1) == 1;
		doubleJump = PlayerPrefs.GetInt("djump", -1) == 1;
	}

	void OnDisable(){
		PlayerPrefs.SetInt("boost", boost?1:0);
		PlayerPrefs.SetInt("djump", doubleJump?1:0);
		PlayerPrefs.Save();
	}

	void Update() {

		if(Input.GetButton("Back_1")){
			PlayerPrefs.DeleteAll();
			boost = false;
			doubleJump = false;
			OnDisable();
			Application.LoadLevel(Application.loadedLevel);
		}
		if(Input.GetButton ("Start_1")) {
			Application.LoadLevel(Application.loadedLevel);
		}
	}
	void OnGUI() {
		GUILayout.BeginArea(new Rect(50, 80, 500, 200));
		if(doubleJump)
			GUILayout.Label("<color=green>Pimento Digestive Jump Helper: " + (doubleJump?"yes":"no") + "</color>",style);
		else
			GUILayout.Label("<color=red>Pimento Digestive Jump Helper: " + (doubleJump?"yes":"no") + "</color>",style);

		if(boost)
			GUILayout.Label("<color=green>Sea Food \"Slide & Glide\" : " + (boost?"yes":"no")+ "</color>",style);
		else
			GUILayout.Label("<color=red>Sea Food \"Slide & Glide\" : " + (boost?"yes":"no") + "</color>",style);
		//GUILayout.Label("Sea Food \"Slide & Glide\" : " + (boost?"yes":"no"),style);
		GUILayout.EndArea();
	}
}
